| XMP Toolkit SDK 6.0.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCore::IDOMImplementationRegistry_v1 Class Referenceabstract

Version1 of the interface that serves as a database/registry of all the parsers and serializers available with the XMPCore library. More...

`#include <IDOMImplementationRegistry.h>`

Inheritance diagram for AdobeXMPCore::IDOMImplementationRegistry_v1:

## Public Member Functions
virtual spIDOMParser APICALL | GetParser (const char *key) const =0
| Gets a parser corresponding to the key and returns to the client for usage. More...
virtual spIDOMSerializer APICALL | GetSerializer (const char *key) const =0
| Gets a serializer corresponding to the key and returns to the client for usage. More...
virtual bool APICALL | RegisterParser (const char *key, pIClientDOMParser_base parser)=0
| Registers a parser with the database along with the key. More...
virtual bool APICALL | RegisterSerializer (const char *key, pIClientDOMSerializer_base serializer)=0
| Registers a serializer with the database along with the key. More...
Public Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual void APICALL | Acquire () const __NOTHROW__=0
| Called by the clients of the object to indicate that he has acquired the shared ownership of the object. More...
virtual void APICALL | Release () const __NOTHROW__=0
| Called by the clients of the object to indicate he has released his shared ownership of the object. If this being the last client than this function should call Destroy to delete and release the memory. More...
Public Member Functions inherited from AdobeXMPCommon::IVersionable
template<typename requestedInterface >
XMP_PRIVATE requestedInterface * | GetInterfacePointer ()
| Get the raw pointer to an interface object implementing the requested version. More...
template<typename requestedInterface >
const XMP_PRIVATE requestedInterface * | GetInterfacePointer () const
| Get the raw pointer to a const interface object implementing the requested version. More...

## Static Public Member Functions
static XMP_PRIVATE spIDOMImplementationRegistry | GetDOMImplementationRegistry ()
| Provides the reference to the database of Serializers and Parsers available with the library. More...

## Protected Member Functions
virtual | ~IDOMImplementationRegistry_v1 () __NOTHROW__
Protected Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual | ~ISharedObject () __NOTHROW__=0
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::IVersionable
virtual | ~IVersionable ()
| REQ_FRIEND_CLASS_DECLARATION ()

## Detailed Description

Version1 of the interface that serves as a database/registry of all the parsers and serializers available with the XMPCore library.

Provides all the functions to

1. get registered serializers and parsers from the database.
2. add client defined serializers and parsers to the database.
   Attention
     Support multi threading if library is configured to support multi-threading by default.
   Note
     By default following keys are registered by default with the database by the library:
3. rdf

Definition at line 31 of file IDOMImplementationRegistry.h.

## Constructor & Destructor Documentation

## ◆ ~IDOMImplementationRegistry_v1()

virtual AdobeXMPCore::IDOMImplementationRegistry_v1::~IDOMImplementationRegistry_v1 | ( |  | ) |
| inline protected virtual

Destructor

Definition at line 135 of file IDOMImplementationRegistry.h.

135 {}

## Member Function Documentation

## ◆ GetDOMImplementationRegistry()

static XMP_PRIVATE spIDOMImplementationRegistry AdobeXMPCore::IDOMImplementationRegistry_v1::GetDOMImplementationRegistry | ( |  | ) |
| static

Provides the reference to the database of Serializers and Parsers available with the library.

Returns
  A shared pointer to #IDOMImplementationRegistry object containing all the entries for serailizers and parsers.

## ◆ GetParser()

virtual spIDOMParser APICALL AdobeXMPCore::IDOMImplementationRegistry_v1::GetParser | ( | const char * | key | ) | const
| pure virtual

Gets a parser corresponding to the key and returns to the client for usage.

Parameters

  [in] | key | Pointer to a const NULL terminated char buffer containing key of the parser in the database.

Returns
  A shared pointer to a #IDOMParser object.

Note
  In case the key is not present in the database an invalid shared pointer will be returned.
  key is case sensitive.

## ◆ GetSerializer()

virtual spIDOMSerializer APICALL AdobeXMPCore::IDOMImplementationRegistry_v1::GetSerializer | ( | const char * | key | ) | const
| pure virtual

Gets a serializer corresponding to the key and returns to the client for usage.

Parameters

  [in] | key | Pointer to a const NULL terminated char buffer containing key of the serializer in the database.

Returns
  A shared pointer to a #IDOMSerializer object.

Note
  In case the key is not present in the database an invalid shared pointer will be returned.
  key is case sensitive.

## ◆ RegisterParser()

virtual bool APICALL AdobeXMPCore::IDOMImplementationRegistry_v1::RegisterParser | ( | const char * | key,
|  | pIClientDOMParser_base | parser
| ) |  |
| pure virtual

Registers a parser with the database along with the key.

Parameters

  [in] | key | Pointer to a const NULL terminated char buffer containing key of the parser to be used while registering.
  [in] | parser | A pointer to #IClientDOMParser object to be registered with the database

Returns
  True in case parser is successfully registered, false otherwise like in case key is already registered.

## ◆ RegisterSerializer()

virtual bool APICALL AdobeXMPCore::IDOMImplementationRegistry_v1::RegisterSerializer | ( | const char * | key,
|  | pIClientDOMSerializer_base | serializer
| ) |  |
| pure virtual

Registers a serializer with the database along with the key.

Parameters

  [in] | key | Pointer to a const NULL terminated char buffer containing key of the serializer to be used while registering.
  [in] | serializer | A pointer to #IClientDOMSerializer object to be registered with the database.

Returns
  True in case serializer is successfully registered, false otherwise like in case key is already registered.

The documentation for this class was generated from the following file:

- public/include/XMPCore/Interfaces/IDOMImplementationRegistry.h